Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(725)

Issue 11946058: Add password sync for Android. (Closed)

Created:
5 years, 1 month ago by shashi
Modified:
5 years, 1 month ago
Reviewers:
nyquist, Nicolas Zea
CC:
chromium-reviews, Raghu Simha, haitaol1, akalin, tim (not reviewing)
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Visibility:
Public.

Description

Add password sync for Android. Android does not support password sync, enable password sync for clients which have migrated to using Keystore. Currently, passwords will start syncing only when sync-keystore-encryption flag is specified on the command line. BUG=113164 TEST=Manual Committed: https://src.chromium.org/viewvc/chrome?view=rev&revision=178443

Patch Set 1 #

Total comments: 19

Patch Set 2 : Address comments + rebase #

Patch Set 3 : #

Unified diffs Side-by-side diffs Delta from patch set Stats (+56 lines, -7 lines) Patch
M chrome/browser/sync/profile_sync_components_factory_impl.cc View 1 2 chunks +16 lines, -7 lines 0 comments Download
M chrome/browser/sync/profile_sync_service.h View 1 1 chunk +7 lines, -0 lines 0 comments Download
M chrome/browser/sync/profile_sync_service.cc View 1 2 4 chunks +33 lines, -0 lines 0 comments Download

Messages

Total messages: 12 (0 generated)
shashi
5 years, 1 month ago (2013-01-17 22:14:19 UTC) #1
Nicolas Zea
https://chromiumcodereview.appspot.com/11946058/diff/1/chrome/browser/sync/profile_sync_components_factory_impl.cc File chrome/browser/sync/profile_sync_components_factory_impl.cc (right): https://chromiumcodereview.appspot.com/11946058/diff/1/chrome/browser/sync/profile_sync_components_factory_impl.cc#newcode142 chrome/browser/sync/profile_sync_components_factory_impl.cc:142: // On Android, enable password sync only when Keystore ...
5 years, 1 month ago (2013-01-18 00:05:11 UTC) #2
shashi
PTAL https://chromiumcodereview.appspot.com/11946058/diff/1/chrome/browser/sync/profile_sync_components_factory_impl.cc File chrome/browser/sync/profile_sync_components_factory_impl.cc (right): https://chromiumcodereview.appspot.com/11946058/diff/1/chrome/browser/sync/profile_sync_components_factory_impl.cc#newcode142 chrome/browser/sync/profile_sync_components_factory_impl.cc:142: // On Android, enable password sync only when ...
5 years, 1 month ago (2013-01-18 02:06:31 UTC) #3
Nicolas Zea
https://chromiumcodereview.appspot.com/11946058/diff/1/chrome/browser/sync/profile_sync_service.cc File chrome/browser/sync/profile_sync_service.cc (right): https://chromiumcodereview.appspot.com/11946058/diff/1/chrome/browser/sync/profile_sync_service.cc#newcode205 chrome/browser/sync/profile_sync_service.cc:205: return (passphraseType == syncer::CUSTOM_PASSPHRASE On 2013/01/18 02:06:31, shashi wrote: ...
5 years, 1 month ago (2013-01-18 22:55:13 UTC) #4
shashi
https://chromiumcodereview.appspot.com/11946058/diff/1/chrome/browser/sync/profile_sync_service.cc File chrome/browser/sync/profile_sync_service.cc (right): https://chromiumcodereview.appspot.com/11946058/diff/1/chrome/browser/sync/profile_sync_service.cc#newcode205 chrome/browser/sync/profile_sync_service.cc:205: return (passphraseType == syncer::CUSTOM_PASSPHRASE IsEncryptedDatatypeEnabled uses PSS.GetPreferredDataTypes() which filters ...
5 years, 1 month ago (2013-01-18 23:20:51 UTC) #5
Nicolas Zea
https://chromiumcodereview.appspot.com/11946058/diff/1/chrome/browser/sync/profile_sync_service.cc File chrome/browser/sync/profile_sync_service.cc (right): https://chromiumcodereview.appspot.com/11946058/diff/1/chrome/browser/sync/profile_sync_service.cc#newcode205 chrome/browser/sync/profile_sync_service.cc:205: return (passphraseType == syncer::CUSTOM_PASSPHRASE On 2013/01/18 23:20:52, shashi wrote: ...
5 years, 1 month ago (2013-01-19 01:10:16 UTC) #6
shashi
PTAL https://chromiumcodereview.appspot.com/11946058/diff/1/chrome/browser/sync/profile_sync_service.cc File chrome/browser/sync/profile_sync_service.cc (right): https://chromiumcodereview.appspot.com/11946058/diff/1/chrome/browser/sync/profile_sync_service.cc#newcode205 chrome/browser/sync/profile_sync_service.cc:205: return (passphraseType == syncer::CUSTOM_PASSPHRASE Yes the function name ...
5 years, 1 month ago (2013-01-23 21:25:24 UTC) #7
Nicolas Zea
LGTM
5 years, 1 month ago (2013-01-23 21:27:02 UTC) #8
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/shashishekhar@chromium.org/11946058/18001
5 years, 1 month ago (2013-01-23 21:37:59 UTC) #9
commit-bot: I haz the power
Sorry for I got bad news for ya. Compile failed with a clobber build on ...
5 years, 1 month ago (2013-01-23 22:08:35 UTC) #10
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/shashishekhar@chromium.org/11946058/18001
5 years, 1 month ago (2013-01-23 23:51:29 UTC) #11
commit-bot: I haz the power
5 years, 1 month ago (2013-01-24 00:47:45 UTC) #12
Message was sent while issue was closed.
Change committed as 178443

Powered by Google App Engine
This is Rietveld 408576698